Update OWASP Xelenium Project v-3

This version does not contain any updates related to its features/functionalities, except that it works with latest firefox versions.
Xelenium is an automation testing tool that can be used to identify the security vulnerabilities present in the web application. Xelenium uses ‘Selenium – Webdriver’ as its engine and has been developed using Java swing.


Following are the pre-requisites of Xelenium:
1. Mozilla Firefox (versions: 3.0, 3.5, 3.6, 4.0, 5.0, 6, 7) Note: Xelenium works with all the version of Firefox browsers that are supported by Selenium Webdriver. Please refer the Seleniumhq website for up-to-date information.
2. Java 1.6 or above
How it works?

Xelenium captures the details of web pages that are required to be scanned, and during scanning, it performs scan on each of the text fields present in the web page by making http requests to the respective pages.
Http requests are made using Selenium Htmlunit driver and call are made concurrently using Java threads.

Download : Xelenium_v3.jar (25.2 MB) 
Find Other Version |
Resources : https://www.owasp.org/index.php/OWASP_Xelenium_Project
Our Post Before : http://seclist.us/xelenium-security-testing-with-selenium.html